require 'spec_helper'
require 'textbubble'

describe Textbubble do
  it 'has a version number' do
    expect(Textbubble::VERSION).not_to be nil
  end

  it 'does something' do
    expect('hello'.lbubble.length).to be > 5
  end

  it 'does\'t crash on an empty input' do
    expect(''.rbubble.length).to be > 0
  end

  it 'rbubble does\'t exceed the margins' do
    text = '1 2 3 4 5 6 7 8 9 0'
    rbubble = text.rbubble margin: 10
    rbubble.gsub!(/\e\[[^m]+m/, '')
    expect(rbubble.split("\n").map(&:length).max).to be <= 10
  end

  it 'lbubble does\'t exceed the width by too much' do
    text = '1 2 3 4 5 6 7 8 9 0'
    lbubble = text.lbubble width: 10
    lbubble.gsub!(/\e\[[^m]+m/, '')
    expect(lbubble.split("\n").map(&:length).max).to be <= 12
  end
end
